Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/darkstat: new aport

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Thu, 26 Mar 2015 21:00:34 +0000 (GMT)

Captures network traffic, calculates statistics about usage, and serves reports over HTTP
https://unix4lyfe.org/darkstat/
---
 testing/darkstat/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/darkstat/APKBUILD
diff --git a/testing/darkstat/APKBUILD b/testing/darkstat/APKBUILD
new file mode 100644
index 0000000..c8cb95f
--- /dev/null
+++ b/testing/darkstat/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=darkstat
+pkgver=3.0.718
+pkgrel=0
+pkgdesc="Captures network traffic, calculates statistics about usage, and serves reports over HTTP"
+url="https://unix4lyfe.org/darkstat/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="zlib-dev libpcap-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://unix4lyfe.org/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr
+        make
+
+     }
+
+package() {
+	cd "$_builddir"
+        make DESTDIR=${pkgdir} install
+}
+
+md5sums="1fb31ac01d4689493c917fa622a002e7  darkstat-3.0.718.tar.bz2"
+sha256sums="682f3e53f4e89ea6ad08236b4225a5e0859428299765d8d995374cd7fa22adff  darkstat-3.0.718.tar.bz2"
+sha512sums="73ed670a9c684b2f0b087da3f238c2828407c82201d1bff945a3d711bbaa231b9d87ddc9e21aa855abcd7d63c27f8f529f5a2c6fb48f52a3f0b6e88c49d33969  darkstat-3.0.718.tar.bz2"
-- 
2.3.4
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Mar 26 2015 - 21:00:34 GMT